Subject: ^L printed when resizing Emacs split window using ksh93

From: Nicholas Papadonis <[email-masked]>
Date: Sun, 12 Apr 2020 23:23:05 -0400

I have attached a screen shot of the issue.  The issue occurs when Emacs is in split window mode, X session and M-x shell is invoked.  The shell is ksh93.  I tried finding the Emacs bug tracker, however this is the only method I found to file a bug. This has been reproduced by others.

Screenshot of issue:
http://nickpapadonis.com/images-share/emacs-ksh-0.png <http://nickpapadonis.com/images-share/emacs-ksh-0.png>

PS2 is printed multiple times during the resize.  When entered is pressed after the resize, multiple ^L s are displayed.  I set PS2="" and the brackets are omitted, however ^L still remain after pressing enter.

Is this a known issue?  I have CC'd KSH list in case the problem is on the ksh93 side.

Thanks

Emacs 26.1 build 2.

1 [debian:~]$ echo $0
-ksh93
2 [debian:~]$ ksh93 --version
  version         sh (AT&T Research) 93u+ 2012-08-01
3 [debian:~]$ echo ${.sh.version}
Version AJM 93u+ 2012-08-01